

#include <psychlops.h>
 using namespace Psychlops;

void psychlops_main() {
	Canvas cnvs(800, 768, Canvas::window);

	std::string woot("hoge");
	Widgets::Dialog::alert(woot);

	Image source("test.png");
	Image result;

	//FFT2::getSpectrum(source, result, 0.2);
	FFT2::filterImage(source, result, 10, 40, 2);

	source.centering().shift(0,-200).draw();
	result.centering().shift(0, 200).draw();
	cnvs.flip();

	while(!Input::get(Keyboard::esc)) {
	}
 }
